Subject: [PATCH 07/12] ARM: move all dtb targets out of Makefile.boot

From: [email-masked] (Rob Herring)
Date: Tue, 11 Sep 2012 07:02:58 -0500

On 09/06/2012 09:39 PM, Shawn Guo wrote:
> On Thu, Sep 06, 2012 at 08:36:41PM -0600, Stephen Warren wrote:
>> On 09/06/2012 08:27 PM, Shawn Guo wrote:
>>> On Thu, Sep 06, 2012 at 03:12:50PM -0500, Rob Herring wrote:
>>>> +dtb-$(CONFIG_ARCH_HIGHBANK) += highbank.dtb
>>>> +dtb-$(CONFIG_ARCH_LPC32XX) += ea3250.dtb phy3250.dtb
>>>> +dtb-$(CONFIG_ARCH_TEGRA_2x_SOC) += tegra20-harmony.dtb tegra20-paz00.dtb \
>>>> +	tegra20-seaboard.dtb tegra20-trimslice.dtb tegra20-ventana.dtb \
>>>> +	tegra20-whistler.dtb
>>
>> Hmm. The existing files all have one file per line, which makes
>> adding/removing files have a little less impact; whole lines are
>> added/removed rather than needing to reflow the whole list. Should we
>> apply the same layout here too?
>>
> +1

Are you okay if I change i.MX entries to use CONFIG_ARCH_MXC instead of
per SOC entries? I want to make things more consistent and primarily use
the top level CONFIG_ARCH_xxx values.

Rob